get.num.modes {rflowcyt} | R Documentation

## Number of modes of a gaussian kernel

### Description

get.num.modes returns the number of modes of the gaussian kernel estimate for a given data vector and bandwidth on the standardized scale

### Usage

    get.num.modes(x, h)

### Arguments

`x` | the data vector
`h` | the bandwidth for the standardized data vector

### Value

`x` | number of modes

### Author(s)

Kevin Rader

### References

B.W. Silverman (1981),Using Kernel Density Estimates to Investigate Multimodatlity. J.R. Statist. Soc. B,43,1,97-99.

### See Also

`get.h`, `get.p`, `emp.f`

### Examples

     set.seed(12345)
     x<-rnorm(50)
     h<-get.h(x)
     num<-c(get.num.modes(x,h),get.num.modes(x,h-0.005))
     num

[Package rflowcyt version 1.4.0 Index]